/*
* Math library
*
* Copyright (C) 2016 Intel Corporation. All rights reserved.
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
* are met:
*
*   * Redistributions of source code must retain the above copyright
*     notice, this list of conditions and the following disclaimer.
*   * Redistributions in binary form must reproduce the above copyright
*     notice, this list of conditions and the following disclaimer in
*     the documentation and/or other materials provided with the
*     distribution.
*   * Neither the name of Intel Corporation nor the names of its
*     contributors may be used to endorse or promote products derived
*     from this software without specific prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
* "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
* A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
* OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
* SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
* LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
* THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
* (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
* OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*
* Author Name <jingwei.zhang@intel.com>
*   History:
*   03-14-2016 Initial version. numerics svn rev. 12864
*/
	.file "sincos_pi4l.c"
	.text
..TXTST0:
# -- Begin  __libm_sincos_pi4l
	.text
       .align    16,0x90
	.hidden __libm_sincos_pi4l
	.globl __libm_sincos_pi4l
__libm_sincos_pi4l:
# parameter 1: 8 + %ebp
# parameter 2: 20 + %ebp
# parameter 3: 24 + %ebp
# parameter 4: 28 + %ebp
..B1.1:
..L1:

        pushl     %ebp
        movl      %esp, %ebp
        andl      $-16, %esp
        pushl     %esi
        pushl     %edi
        pushl     %ebx
        subl      $52, %esp
        fldt      8(%ebp)
        call      ..L2
..L2:
        popl      %ebx
        lea       _GLOBAL_OFFSET_TABLE_+[. - ..L2](%ebx), %ebx
        movl      %gs:20, %edx
        xorl      %esp, %edx
        fldt      _pzerol_value@GOTOFF(%ebx)
        movl      %edx, 36(%esp)
        fcom      %st(1)
        fnstsw    %ax
        movl      28(%ebp), %ecx
        sahf      
        jbe       ..B1.3
..B1.2:
        negl      %ecx
        movl      $-1, %esi
        fxch      %st(1)
        fchs      
        fxch      %st(1)
        jmp       ..B1.4
..B1.3:
        movl      $1, %esi
..B1.4:
        fldt      _pion4@GOTOFF(%ebx)
        fcom      %st(2)
        fnstsw    %ax
        sahf      
        jbe       ..B1.8
..B1.5:
        fstp      %st(1)
        testb     $1, %cl
        je        ..B1.7
..B1.6:
        fsubrp    %st, %st(1)
        jmp       ..B1.27
..B1.7:
        fstp      %st(0)
        jmp       ..B1.27
..B1.8:
        fldt      _cody_thres_val@GOTOFF(%ebx)
        fcomp     %st(3)
        fnstsw    %ax
        fldz      
        sahf      
        jbe       ..B1.10
..B1.9:
        fstp      %st(2)
        fstp      %st(0)
        fstp      %st(0)
        fldt      __4onpi@GOTOFF(%ebx)
        fmul      %st(1), %st
        fnstcw    (%esp)
        movzwl    (%esp), %eax
        orl       $3072, %eax
        movl      %eax, 8(%esp)
        fldcw     8(%esp)
        fistpl    16(%esp)
        fldcw     (%esp)
        fldt      _PI04@GOTOFF(%ebx)
        fldt      12+_PI04@GOTOFF(%ebx)
        fldt      24+_PI04@GOTOFF(%ebx)
        movl      16(%esp), %eax
        addl      %eax, %ecx
        testb     $1, %cl
        lea       1(%eax), %edx
        jne       ..L3
        movl      %eax, %edx
..L3:
        movl      %edx, 24(%esp)
        fildl     24(%esp)
        fmul      %st, %st(3)
        fxch      %st(3)
        fsubrp    %st, %st(4)
        fxch      %st(1)
        fmul      %st(2), %st
        fsubrp    %st, %st(3)
        fmulp     %st, %st(1)
        fsubrp    %st, %st(1)
        jmp       ..B1.27
..B1.10:
        fxch      %st(3)
        fstpt     16(%esp)
        movzwl    24(%esp), %eax
        movl      %ecx, 12(%esp)
        movl      %eax, %ecx
        andl      $32767, %ecx
        andl      $-32768, %eax
        lea       -62(%ecx), %edx
        andl      $32767, %edx
        lea       -16417(%ecx), %edi
        orl       %edx, %eax
        movw      %ax, 24(%esp)
        movl      $-2078209981, %eax
        fldt      16(%esp)
        imull     %edi
        sarl      $31, %edi
        lea       -16417(%edx,%ecx), %edx
        sarl      $4, %edx
        subl      %edi, %edx
        movl      %edx, %edi
        shll      $5, %edi
        negl      %edi
        addl      %edx, %edi
        fstpt     (%esp)
        fldt      (%esp)
        movl      $0, (%esp)
        fldt      (%esp)
        lea       -16417(%edi,%ecx), %ecx
        cmpl      $23, %ecx
        fsubr     %st, %st(1)
        movl      12(%esp), %ecx
        jl        ..B1.12
..B1.11:
        fxch      %st(4)
        fstpt     (%esp)
        lea       (,%edx,8), %eax
        lea       (%eax,%edx,4), %edi
        incl      %edx
        fldt      _4OPI@GOTOFF(%edi,%ebx)
        fmul      %st(1), %st
        fldt      12+_4OPI@GOTOFF(%edi,%ebx)
        fmul      %st(5), %st
        faddp     %st, %st(1)
        fstpt     12(%esp)
        fldt      12(%esp)
        andl      $-16777216, 12(%esp)
        fldt      12(%esp)
        fsubrp    %st, %st(1)
        jmp       ..B1.13
..B1.12:
        fstp      %st(4)
        fld       %st(2)
..B1.13:
        fld       %st(4)
        lea       (,%edx,8), %edi
        lea       (%edi,%edx,4), %eax
        fldt      12+_4OPI@GOTOFF(%eax,%ebx)
        fmul      %st, %st(1)
        fmul      %st(3), %st
        fldt      _4OPI@GOTOFF(%eax,%ebx)
        fmul      %st(4), %st
        faddp     %st, %st(2)
        fxch      %st(1)
        faddp     %st, %st(2)
        fld       %st(1)
        fldt      24+_4OPI@GOTOFF(%eax,%ebx)
        fmul      %st(7), %st
        faddp     %st, %st(2)
        fxch      %st(1)
        fstpt     24(%esp)
        fldt      24(%esp)
        fadd      %st, %st(1)
        fstpt     12(%esp)
        fldt      _ADDING@GOTOFF(%ebx)
        fld       %st(0)
        fadd      %st(2), %st
        fstpt     (%esp)
        fldt      (%esp)
        fsubp     %st, %st(1)
        movl      (%esp), %edi
        fcom      %st(1)
        fnstsw    %ax
        fxch      %st(1)
        fstp      %st(0)
        fldt      24(%esp)
        sahf      
        jbe       ..B1.15
..B1.14:
        fldt      _nonel_value@GOTOFF(%ebx)
        decl      %edi
        faddp     %st, %st(2)
..B1.15:
        addl      %edi, %ecx
        fxch      %st(1)
        fsubrp    %st, %st(2)
        testb     $1, %cl
        je        ..B1.18
..B1.16:
        fstp      %st(4)
        fldt      _nonel_value@GOTOFF(%ebx)
        fxch      %st(4)
..B1.18:
        lea       2(%edx), %edi
        movl      %edi, %eax
        fxch      %st(1)
        faddp     %st, %st(4)
        negl      %eax
        faddp     %st, %st(3)
        addl      $532, %eax
        cmpl      $5, %eax
        jbe       ..L4
        movl      $5, %eax
..L4:
        movl      %eax, 8(%esp)
        cmpl      $532, %edi
        jge       ..B1.25
..B1.19:
        shrl      $1, %eax
        movl      %eax, 12(%esp)
        testl     %eax, %eax
        jbe       ..B1.33
..B1.20:
        movl      %esi, (%esp)
        lea       16(,%edx,8), %eax
        movl      %ebx, 4(%esp)
        lea       8(%eax,%edx,4), %eax
        movl      12(%esp), %esi
        xorl      %edi, %edi
        lea       _4OPI@GOTOFF(%ebx,%eax), %eax
..B1.21:
        jmp       ..L5
..L6:
        faddp     %st, %st(3)
..L5:
        fld       %st(3)
        lea       (%edi,%edi,2), %ebx
        fldt      12(%eax,%ebx,8)
        incl      %edi
        fmul      %st, %st(1)
        cmpl      %esi, %edi
        fmul      %st(2), %st
        fldt      (%eax,%ebx,8)
        fmul      %st(3), %st
        faddp     %st, %st(2)
        fxch      %st(1)
        faddp     %st, %st(4)
        fldt      24(%eax,%ebx,8)
        fmul      %st(5), %st
        faddp     %st, %st(1)
        jb        ..L6
        faddp     %st, %st(3)
..B1.22:
        movl      (%esp), %esi
        lea       1(%edi,%edi), %edi
        movl      4(%esp), %ebx
..B1.23:
        lea       -1(%edi), %eax
        cmpl      8(%esp), %eax
        jae       ..B1.25
..B1.24:
        lea       1(%edi,%edx), %edx
        lea       (,%edx,8), %eax
        lea       (%eax,%edx,4), %edi
        fldt      _4OPI@GOTOFF(%ebx,%edi)
        fmulp     %st, %st(1)
        fldt      12+_4OPI@GOTOFF(%ebx,%edi)
        fmulp     %st, %st(4)
        fadd      %st(3), %st
        fadd      %st, %st(2)
..B1.25:
        fstp      %st(3)
        fstp      %st(2)
        fmulp     %st, %st(1)
..B1.27:
        testb     $1, %cl
        lea       1(%ecx), %edi
        fld       %st(0)
        jne       ..L7
        movl      %ecx, %edi
..L7:
        andl      $7, %edi
        movl      24(%ebp), %edx
        fmul      %st(1), %st
        imull     ssign@GOTOFF(%ebx,%edi,4), %esi
        movl      csign@GOTOFF(%ebx,%edi,4), %eax
        andl      $3, %edi
        decl      %edi
        movl      %esi, 24(%esp)
        cmpl      $1, %edi
        fildl     24(%esp)
        ja        ..B1.29
..B1.28:
        fldt      _PC@GOTOFF(%ebx)
        fmul      %st(2), %st
        fldt      12+_PC@GOTOFF(%ebx)
        movl      20(%ebp), %ecx
        faddp     %st, %st(1)
        fmul      %st(2), %st
        fldt      24+_PC@GOTOFF(%ebx)
        movl      %eax, 24(%esp)
        faddp     %st, %st(1)
        fmul      %st(2), %st
        fldt      36+_PC@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmul      %st(2), %st
        fldt      48+_PC@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmul      %st(2), %st
        fldt      60+_PC@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmul      %st(2), %st
        fldt      72+_PC@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmul      %st(2), %st
        fldt      84+_PC@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmul      %st(2), %st
        fldt      _ponel_value@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmulp     %st, %st(1)
        fstpt     (%ecx)
        fldt      _PS@GOTOFF(%ebx)
        fmul      %st(1), %st
        fldt      12+_PS@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmul      %st(1), %st
        fldt      24+_PS@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmul      %st(1), %st
        fldt      36+_PS@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmul      %st(1), %st
        fldt      48+_PS@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmul      %st(1), %st
        fldt      60+_PS@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmul      %st(1), %st
        fldt      72+_PS@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmul      %st(1), %st
        fldt      84+_PS@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmulp     %st, %st(1)
        fmul      %st(1), %st
        faddp     %st, %st(1)
        fildl     24(%esp)
        fmulp     %st, %st(1)
        fstpt     (%edx)
        jmp       ..B1.30
..B1.29:
        fldt      _PS@GOTOFF(%ebx)
        fmul      %st(2), %st
        fldt      12+_PS@GOTOFF(%ebx)
        movl      20(%ebp), %ecx
        faddp     %st, %st(1)
        fmul      %st(2), %st
        fldt      24+_PS@GOTOFF(%ebx)
        movl      %eax, 24(%esp)
        faddp     %st, %st(1)
        fmul      %st(2), %st
        fldt      36+_PS@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmul      %st(2), %st
        fldt      48+_PS@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmul      %st(2), %st
        fildl     24(%esp)
        fldt      60+_PS@GOTOFF(%ebx)
        faddp     %st, %st(2)
        fxch      %st(1)
        fmul      %st(3), %st
        fldt      72+_PS@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmul      %st(3), %st
        fldt      84+_PS@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmul      %st(3), %st
        fmul      %st(4), %st
        faddp     %st, %st(4)
        fxch      %st(3)
        fmulp     %st, %st(1)
        fstpt     (%ecx)
        fldt      _PC@GOTOFF(%ebx)
        fmul      %st(1), %st
        fldt      12+_PC@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmul      %st(1), %st
        fldt      24+_PC@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmul      %st(1), %st
        fldt      36+_PC@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmul      %st(1), %st
        fldt      48+_PC@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmul      %st(1), %st
        fldt      60+_PC@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmul      %st(1), %st
        fldt      72+_PC@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmul      %st(1), %st
        fldt      84+_PC@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmulp     %st, %st(1)
        fldt      _ponel_value@GOTOFF(%ebx)
        faddp     %st, %st(1)
        fmulp     %st, %st(1)
        fstpt     (%edx)
..B1.30:
        movl      36(%esp), %eax
        xorl      %esp, %eax
        cmpl      %gs:20, %eax
        jne       ..B1.32
..B1.31:
        addl      $52, %esp
        popl      %ebx
        popl      %edi
        popl      %esi
        movl      %ebp, %esp
        popl      %ebp
        ret       
..B1.32:
        call      __stack_chk_fail@PLT
..B1.33:
        movl      $1, %edi
        jmp       ..B1.23
        .align    16,0x90
	.type	__libm_sincos_pi4l,@function
	.size	__libm_sincos_pi4l,.-__libm_sincos_pi4l
	.data
# -- End  __libm_sincos_pi4l
	.section .rodata, "a"
	.align 4
	.align 4
ssign:
	.long	1
	.long	1
	.long	1
	.long	1
	.long	-1
	.long	-1
	.long	-1
	.long	-1
	.type	ssign,@object
	.size	ssign,32
	.align 4
csign:
	.long	1
	.long	1
	.long	-1
	.long	-1
	.long	-1
	.long	-1
	.long	1
	.long	1
	.type	csign,@object
	.size	csign,32
	.align 2
_pzerol_value:
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.type	_pzerol_value,@object
	.size	_pzerol_value,12
	.align 2
_pion4:
	.word	49717
	.word	8552
	.word	55970
	.word	51471
	.word	16382
	.word	0
	.type	_pion4,@object
	.size	_pion4,12
	.align 2
_cody_thres_val:
	.word	0
	.word	0
	.word	0
	.word	32768
	.word	16413
	.word	0
	.type	_cody_thres_val,@object
	.size	_cody_thres_val,12
	.align 2
__4onpi:
	.word	5418
	.word	20036
	.word	33646
	.word	41721
	.word	16383
	.word	0
	.type	__4onpi,@object
	.size	__4onpi,12
	.align 2
_PI04:
	.word	0
	.word	0
	.word	55936
	.word	51471
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	41728
	.word	34949
	.word	16356
	.word	0
	.word	14087
	.word	41696
	.word	12696
	.word	36145
	.word	16328
	.word	0
	.type	_PI04,@object
	.size	_PI04,36
	.align 2
_4OPI:
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	0
	.word	33646
	.word	41721
	.word	16445
	.word	0
	.word	0
	.word	0
	.word	10832
	.word	40072
	.word	16412
	.word	0
	.word	0
	.word	0
	.word	44008
	.word	65043
	.word	16382
	.word	0
	.word	0
	.word	0
	.word	28384
	.word	64154
	.word	16350
	.word	0
	.word	0
	.word	0
	.word	38272
	.word	56162
	.word	16317
	.word	0
	.word	0
	.word	0
	.word	7298
	.word	51682
	.word	16290
	.word	0
	.word	0
	.word	0
	.word	45504
	.word	65320
	.word	16254
	.word	0
	.word	0
	.word	0
	.word	61204
	.word	44922
	.word	16227
	.word	0
	.word	0
	.word	0
	.word	18652
	.word	50030
	.word	16196
	.word	0
	.word	0
	.word	0
	.word	14144
	.word	59657
	.word	16163
	.word	0
	.word	0
	.word	0
	.word	37450
	.word	47105
	.word	16135
	.word	0
	.word	0
	.word	0
	.word	14898
	.word	56641
	.word	16104
	.word	0
	.word	0
	.word	0
	.word	34680
	.word	34623
	.word	16071
	.word	0
	.word	0
	.word	0
	.word	4760
	.word	45515
	.word	16041
	.word	0
	.word	0
	.word	0
	.word	41480
	.word	40187
	.word	16011
	.word	0
	.word	0
	.word	0
	.word	47852
	.word	55252
	.word	15979
	.word	0
	.word	0
	.word	0
	.word	54072
	.word	35081
	.word	15948
	.word	0
	.word	0
	.word	0
	.word	26808
	.word	57421
	.word	15916
	.word	0
	.word	0
	.word	0
	.word	20068
	.word	57232
	.word	15887
	.word	0
	.word	0
	.word	0
	.word	49576
	.word	60188
	.word	15854
	.word	0
	.word	0
	.word	0
	.word	10016
	.word	52861
	.word	15823
	.word	0
	.word	0
	.word	0
	.word	30648
	.word	35825
	.word	15792
	.word	0
	.word	0
	.word	0
	.word	60542
	.word	58528
	.word	15763
	.word	0
	.word	0
	.word	0
	.word	65468
	.word	61743
	.word	15732
	.word	0
	.word	0
	.word	0
	.word	64960
	.word	45825
	.word	15696
	.word	0
	.word	0
	.word	0
	.word	50604
	.word	38792
	.word	15670
	.word	0
	.word	0
	.word	0
	.word	18394
	.word	33435
	.word	15639
	.word	0
	.word	0
	.word	0
	.word	55780
	.word	42703
	.word	15608
	.word	0
	.word	0
	.word	0
	.word	14056
	.word	63841
	.word	15576
	.word	0
	.word	0
	.word	0
	.word	63080
	.word	62563
	.word	15545
	.word	0
	.word	0
	.word	0
	.word	20840
	.word	62207
	.word	15514
	.word	0
	.word	0
	.word	0
	.word	30094
	.word	59983
	.word	15484
	.word	0
	.word	0
	.word	0
	.word	61818
	.word	60389
	.word	15453
	.word	0
	.word	0
	.word	0
	.word	40186
	.word	40579
	.word	15422
	.word	0
	.word	0
	.word	0
	.word	42170
	.word	58004
	.word	15391
	.word	0
	.word	0
	.word	0
	.word	55276
	.word	39678
	.word	15359
	.word	0
	.word	0
	.word	0
	.word	44672
	.word	36806
	.word	15326
	.word	0
	.word	0
	.word	0
	.word	13060
	.word	34144
	.word	15297
	.word	0
	.word	0
	.word	0
	.word	28016
	.word	57231
	.word	15264
	.word	0
	.word	0
	.word	0
	.word	16112
	.word	44995
	.word	15235
	.word	0
	.word	0
	.word	0
	.word	53464
	.word	33387
	.word	15203
	.word	0
	.word	0
	.word	0
	.word	7296
	.word	60751
	.word	15170
	.word	0
	.word	0
	.word	0
	.word	29452
	.word	45231
	.word	15142
	.word	0
	.word	0
	.word	0
	.word	26208
	.word	49689
	.word	15111
	.word	0
	.word	0
	.word	0
	.word	37900
	.word	44002
	.word	15080
	.word	0
	.word	0
	.word	0
	.word	57340
	.word	33800
	.word	15049
	.word	0
	.word	0
	.word	0
	.word	27544
	.word	50178
	.word	15018
	.word	0
	.word	0
	.word	0
	.word	6168
	.word	40132
	.word	14987
	.word	0
	.word	0
	.word	0
	.word	21392
	.word	43702
	.word	14954
	.word	0
	.word	0
	.word	0
	.word	45168
	.word	54372
	.word	14926
	.word	0
	.word	0
	.word	0
	.word	8986
	.word	40688
	.word	14895
	.word	0
	.word	0
	.word	0
	.word	1648
	.word	53745
	.word	14863
	.word	0
	.word	0
	.word	0
	.word	30520
	.word	55795
	.word	14831
	.word	0
	.word	0
	.word	0
	.word	43060
	.word	32914
	.word	14801
	.word	0
	.word	0
	.word	0
	.word	46172
	.word	52771
	.word	14770
	.word	0
	.word	0
	.word	0
	.word	14056
	.word	45285
	.word	14738
	.word	0
	.word	0
	.word	0
	.word	53590
	.word	44868
	.word	14709
	.word	0
	.word	0
	.word	0
	.word	40786
	.word	35970
	.word	14678
	.word	0
	.word	0
	.word	0
	.word	33436
	.word	65411
	.word	14646
	.word	0
	.word	0
	.word	0
	.word	32006
	.word	61382
	.word	14616
	.word	0
	.word	0
	.word	0
	.word	37856
	.word	45239
	.word	14583
	.word	0
	.word	0
	.word	0
	.word	60894
	.word	49555
	.word	14554
	.word	0
	.word	0
	.word	0
	.word	48064
	.word	53065
	.word	14519
	.word	0
	.word	0
	.word	0
	.word	48624
	.word	54844
	.word	14492
	.word	0
	.word	0
	.word	0
	.word	7988
	.word	40762
	.word	14461
	.word	0
	.word	0
	.word	0
	.word	16270
	.word	58745
	.word	14430
	.word	0
	.word	0
	.word	0
	.word	37064
	.word	50168
	.word	14398
	.word	0
	.word	0
	.word	0
	.word	18624
	.word	63736
	.word	14364
	.word	0
	.word	0
	.word	0
	.word	60758
	.word	44966
	.word	14337
	.word	0
	.word	0
	.word	0
	.word	33304
	.word	47465
	.word	14306
	.word	0
	.word	0
	.word	0
	.word	6226
	.word	60503
	.word	14275
	.word	0
	.word	0
	.word	0
	.word	26380
	.word	54900
	.word	14243
	.word	0
	.word	0
	.word	0
	.word	44352
	.word	49860
	.word	14213
	.word	0
	.word	0
	.word	0
	.word	11904
	.word	42646
	.word	14182
	.word	0
	.word	0
	.word	0
	.word	55296
	.word	50279
	.word	14145
	.word	0
	.word	0
	.word	0
	.word	15474
	.word	50606
	.word	14120
	.word	0
	.word	0
	.word	0
	.word	45062
	.word	44137
	.word	14089
	.word	0
	.word	0
	.word	0
	.word	13472
	.word	36063
	.word	14055
	.word	0
	.word	0
	.word	0
	.word	40658
	.word	53854
	.word	14027
	.word	0
	.word	0
	.word	0
	.word	28652
	.word	43690
	.word	13996
	.word	0
	.word	0
	.word	0
	.word	24640
	.word	64348
	.word	13963
	.word	0
	.word	0
	.word	0
	.word	30284
	.word	41980
	.word	13933
	.word	0
	.word	0
	.word	0
	.word	45652
	.word	38222
	.word	13902
	.word	0
	.word	0
	.word	0
	.word	15900
	.word	62940
	.word	13871
	.word	0
	.word	0
	.word	0
	.word	31494
	.word	50741
	.word	13841
	.word	0
	.word	0
	.word	0
	.word	43194
	.word	55096
	.word	13810
	.word	0
	.word	0
	.word	0
	.word	1740
	.word	45646
	.word	13778
	.word	0
	.word	0
	.word	0
	.word	28936
	.word	44150
	.word	13748
	.word	0
	.word	0
	.word	0
	.word	8996
	.word	42955
	.word	13717
	.word	0
	.word	0
	.word	0
	.word	44096
	.word	61205
	.word	13684
	.word	0
	.word	0
	.word	0
	.word	44614
	.word	54550
	.word	13655
	.word	0
	.word	0
	.word	0
	.word	24926
	.word	57347
	.word	13624
	.word	0
	.word	0
	.word	0
	.word	3312
	.word	61415
	.word	13590
	.word	0
	.word	0
	.word	0
	.word	64336
	.word	63884
	.word	13562
	.word	0
	.word	0
	.word	0
	.word	2748
	.word	62259
	.word	13530
	.word	0
	.word	0
	.word	0
	.word	56672
	.word	51775
	.word	13498
	.word	0
	.word	0
	.word	0
	.word	32438
	.word	55423
	.word	13469
	.word	0
	.word	0
	.word	0
	.word	17652
	.word	45713
	.word	13438
	.word	0
	.word	0
	.word	0
	.word	65408
	.word	51586
	.word	13403
	.word	0
	.word	0
	.word	0
	.word	40416
	.word	55736
	.word	13376
	.word	0
	.word	0
	.word	0
	.word	52546
	.word	37734
	.word	13345
	.word	0
	.word	0
	.word	0
	.word	48880
	.word	64238
	.word	13314
	.word	0
	.word	0
	.word	0
	.word	56004
	.word	46833
	.word	13282
	.word	0
	.word	0
	.word	0
	.word	61760
	.word	38110
	.word	13250
	.word	0
	.word	0
	.word	0
	.word	41496
	.word	35659
	.word	13219
	.word	0
	.word	0
	.word	0
	.word	25472
	.word	41269
	.word	13187
	.word	0
	.word	0
	.word	0
	.word	45444
	.word	36018
	.word	13159
	.word	0
	.word	0
	.word	0
	.word	6510
	.word	56417
	.word	13128
	.word	0
	.word	0
	.word	0
	.word	3072
	.word	56837
	.word	13097
	.word	0
	.word	0
	.word	0
	.word	61338
	.word	48440
	.word	13066
	.word	0
	.word	0
	.word	0
	.word	49568
	.word	57088
	.word	13034
	.word	0
	.word	0
	.word	0
	.word	4240
	.word	39283
	.word	13002
	.word	0
	.word	0
	.word	0
	.word	18562
	.word	33537
	.word	12973
	.word	0
	.word	0
	.word	0
	.word	31422
	.word	44487
	.word	12942
	.word	0
	.word	0
	.word	0
	.word	31930
	.word	60459
	.word	12911
	.word	0
	.word	0
	.word	0
	.word	42272
	.word	36641
	.word	12878
	.word	0
	.word	0
	.word	0
	.word	28940
	.word	36150
	.word	12849
	.word	0
	.word	0
	.word	0
	.word	21010
	.word	50925
	.word	12818
	.word	0
	.word	0
	.word	0
	.word	29448
	.word	64886
	.word	12786
	.word	0
	.word	0
	.word	0
	.word	20500
	.word	54600
	.word	12756
	.word	0
	.word	0
	.word	0
	.word	54258
	.word	46233
	.word	12725
	.word	0
	.word	0
	.word	0
	.word	32628
	.word	42502
	.word	12693
	.word	0
	.word	0
	.word	0
	.word	61608
	.word	55072
	.word	12663
	.word	0
	.word	0
	.word	0
	.word	6236
	.word	57871
	.word	12631
	.word	0
	.word	0
	.word	0
	.word	42408
	.word	34616
	.word	12601
	.word	0
	.word	0
	.word	0
	.word	56692
	.word	51963
	.word	12569
	.word	0
	.word	0
	.word	0
	.word	39094
	.word	48526
	.word	12539
	.word	0
	.word	0
	.word	0
	.word	59870
	.word	38783
	.word	12508
	.word	0
	.word	0
	.word	0
	.word	26560
	.word	33165
	.word	12477
	.word	0
	.word	0
	.word	0
	.word	58666
	.word	37666
	.word	12446
	.word	0
	.word	0
	.word	0
	.word	58728
	.word	39788
	.word	12414
	.word	0
	.word	0
	.word	0
	.word	9048
	.word	43530
	.word	12383
	.word	0
	.word	0
	.word	0
	.word	58496
	.word	57659
	.word	12350
	.word	0
	.word	0
	.word	0
	.word	12324
	.word	37025
	.word	12322
	.word	0
	.word	0
	.word	0
	.word	38432
	.word	55856
	.word	12290
	.word	0
	.word	0
	.word	0
	.word	35210
	.word	45960
	.word	12260
	.word	0
	.word	0
	.word	0
	.word	45644
	.word	51345
	.word	12229
	.word	0
	.word	0
	.word	0
	.word	32854
	.word	63883
	.word	12198
	.word	0
	.word	0
	.word	0
	.word	29348
	.word	41450
	.word	12166
	.word	0
	.word	0
	.word	0
	.word	27384
	.word	38024
	.word	12134
	.word	0
	.word	0
	.word	0
	.word	57356
	.word	57291
	.word	12105
	.word	0
	.word	0
	.word	0
	.word	61164
	.word	51521
	.word	12073
	.word	0
	.word	0
	.word	0
	.word	21472
	.word	59151
	.word	12041
	.word	0
	.word	0
	.word	0
	.word	36704
	.word	39943
	.word	12010
	.word	0
	.word	0
	.word	0
	.word	45864
	.word	50151
	.word	11981
	.word	0
	.word	0
	.word	0
	.word	37892
	.word	63687
	.word	11949
	.word	0
	.word	0
	.word	0
	.word	14560
	.word	51615
	.word	11918
	.word	0
	.word	0
	.word	0
	.word	38776
	.word	55684
	.word	11886
	.word	0
	.word	0
	.word	0
	.word	59136
	.word	53570
	.word	11855
	.word	0
	.word	0
	.word	0
	.word	55556
	.word	37955
	.word	11826
	.word	0
	.word	0
	.word	0
	.word	54458
	.word	44670
	.word	11795
	.word	0
	.word	0
	.word	0
	.word	36446
	.word	34084
	.word	11764
	.word	0
	.word	0
	.word	0
	.word	46416
	.word	51693
	.word	11731
	.word	0
	.word	0
	.word	0
	.word	21432
	.word	34376
	.word	11702
	.word	0
	.word	0
	.word	0
	.word	56036
	.word	34809
	.word	11671
	.word	0
	.word	0
	.word	0
	.word	10562
	.word	55654
	.word	11640
	.word	0
	.word	0
	.word	0
	.word	20264
	.word	53052
	.word	11608
	.word	0
	.word	0
	.word	0
	.word	64064
	.word	50415
	.word	11574
	.word	0
	.word	0
	.word	0
	.word	17444
	.word	48295
	.word	11546
	.word	0
	.word	0
	.word	0
	.word	11874
	.word	52677
	.word	11516
	.word	0
	.word	0
	.word	0
	.word	60808
	.word	39275
	.word	11485
	.word	0
	.word	0
	.word	0
	.word	31792
	.word	55677
	.word	11451
	.word	0
	.word	0
	.word	0
	.word	60710
	.word	49006
	.word	11423
	.word	0
	.word	0
	.word	0
	.word	10520
	.word	37403
	.word	11391
	.word	0
	.word	0
	.word	0
	.word	20004
	.word	59470
	.word	11360
	.word	0
	.word	0
	.word	0
	.word	28096
	.word	37612
	.word	11330
	.word	0
	.word	0
	.word	0
	.word	20268
	.word	44280
	.word	11298
	.word	0
	.word	0
	.word	0
	.word	50740
	.word	61588
	.word	11267
	.word	0
	.word	0
	.word	0
	.word	56432
	.word	58835
	.word	11235
	.word	0
	.word	0
	.word	0
	.word	8576
	.word	42496
	.word	11200
	.word	0
	.word	0
	.word	0
	.word	33920
	.word	54912
	.word	11169
	.word	0
	.word	0
	.word	0
	.word	35620
	.word	54843
	.word	11143
	.word	0
	.word	0
	.word	0
	.word	736
	.word	43591
	.word	11109
	.word	0
	.word	0
	.word	0
	.word	39632
	.word	61060
	.word	11080
	.word	0
	.word	0
	.word	0
	.word	63452
	.word	63129
	.word	11051
	.word	0
	.word	0
	.word	0
	.word	56798
	.word	58512
	.word	11020
	.word	0
	.word	0
	.word	0
	.word	13472
	.word	46333
	.word	10986
	.word	0
	.word	0
	.word	0
	.word	37300
	.word	36598
	.word	10957
	.word	0
	.word	0
	.word	0
	.word	41952
	.word	41639
	.word	10924
	.word	0
	.word	0
	.word	0
	.word	52452
	.word	33459
	.word	10895
	.word	0
	.word	0
	.word	0
	.word	58558
	.word	33287
	.word	10865
	.word	0
	.word	0
	.word	0
	.word	7570
	.word	43843
	.word	10834
	.word	0
	.word	0
	.word	0
	.word	59416
	.word	63990
	.word	10802
	.word	0
	.word	0
	.word	0
	.word	65298
	.word	47744
	.word	10772
	.word	0
	.word	0
	.word	0
	.word	21076
	.word	34089
	.word	10741
	.word	0
	.word	0
	.word	0
	.word	7048
	.word	57394
	.word	10710
	.word	0
	.word	0
	.word	0
	.word	12872
	.word	55405
	.word	10677
	.word	0
	.word	0
	.word	0
	.word	12608
	.word	51669
	.word	10643
	.word	0
	.word	0
	.word	0
	.word	5350
	.word	48455
	.word	10617
	.word	0
	.word	0
	.word	0
	.word	23568
	.word	58692
	.word	10585
	.word	0
	.word	0
	.word	0
	.word	40784
	.word	37046
	.word	10553
	.word	0
	.word	0
	.word	0
	.word	38992
	.word	43861
	.word	10523
	.word	0
	.word	0
	.word	0
	.word	10064
	.word	40199
	.word	10493
	.word	0
	.word	0
	.word	0
	.word	26368
	.word	35771
	.word	10456
	.word	0
	.word	0
	.word	0
	.word	23994
	.word	60721
	.word	10431
	.word	0
	.word	0
	.word	0
	.word	25052
	.word	34302
	.word	10399
	.word	0
	.word	0
	.word	0
	.word	39842
	.word	54964
	.word	10369
	.word	0
	.word	0
	.word	0
	.word	11568
	.word	58277
	.word	10336
	.word	0
	.word	0
	.word	0
	.word	26160
	.word	46438
	.word	10306
	.word	0
	.word	0
	.word	0
	.word	23252
	.word	43049
	.word	10276
	.word	0
	.word	0
	.word	0
	.word	35288
	.word	58000
	.word	10245
	.word	0
	.word	0
	.word	0
	.word	14614
	.word	50216
	.word	10214
	.word	0
	.word	0
	.word	0
	.word	1168
	.word	48804
	.word	10181
	.word	0
	.word	0
	.word	0
	.word	60934
	.word	33006
	.word	10152
	.word	0
	.word	0
	.word	0
	.word	64512
	.word	62247
	.word	10117
	.word	0
	.word	0
	.word	0
	.word	59968
	.word	43121
	.word	10085
	.word	0
	.word	0
	.word	0
	.word	25560
	.word	39974
	.word	10057
	.word	0
	.word	0
	.word	0
	.word	1978
	.word	49353
	.word	10028
	.word	0
	.word	0
	.word	0
	.word	16290
	.word	38807
	.word	9997
	.word	0
	.word	0
	.word	0
	.word	8646
	.word	65226
	.word	9966
	.word	0
	.word	0
	.word	0
	.word	56896
	.word	34317
	.word	9933
	.word	0
	.word	0
	.word	0
	.word	40136
	.word	39118
	.word	9902
	.word	0
	.word	0
	.word	0
	.word	14200
	.word	41756
	.word	9871
	.word	0
	.word	0
	.word	0
	.word	59256
	.word	63202
	.word	9840
	.word	0
	.word	0
	.word	0
	.word	22968
	.word	63553
	.word	9810
	.word	0
	.word	0
	.word	0
	.word	736
	.word	44292
	.word	9778
	.word	0
	.word	0
	.word	0
	.word	23186
	.word	37760
	.word	9749
	.word	0
	.word	0
	.word	0
	.word	51008
	.word	34950
	.word	9714
	.word	0
	.word	0
	.word	0
	.word	1664
	.word	64248
	.word	9681
	.word	0
	.word	0
	.word	0
	.word	64352
	.word	35199
	.word	9656
	.word	0
	.word	0
	.word	0
	.word	34656
	.word	63747
	.word	9625
	.word	0
	.word	0
	.word	0
	.word	44330
	.word	49864
	.word	9594
	.word	0
	.word	0
	.word	0
	.word	11654
	.word	35567
	.word	9563
	.word	0
	.word	0
	.word	0
	.word	7924
	.word	58919
	.word	9531
	.word	0
	.word	0
	.word	0
	.word	2532
	.word	32800
	.word	9500
	.word	0
	.word	0
	.word	0
	.word	30024
	.word	53799
	.word	9469
	.word	0
	.word	0
	.word	0
	.word	30172
	.word	64347
	.word	9438
	.word	0
	.word	0
	.word	0
	.word	60036
	.word	51382
	.word	9407
	.word	0
	.word	0
	.word	0
	.word	58576
	.word	33093
	.word	9376
	.word	0
	.word	0
	.word	0
	.word	13888
	.word	38760
	.word	9345
	.word	0
	.word	0
	.word	0
	.word	9322
	.word	52460
	.word	9315
	.word	0
	.word	0
	.word	0
	.word	20944
	.word	41077
	.word	9282
	.word	0
	.word	0
	.word	0
	.word	17976
	.word	41861
	.word	9252
	.word	0
	.word	0
	.word	0
	.word	55176
	.word	55158
	.word	9222
	.word	0
	.word	0
	.word	0
	.word	4976
	.word	35223
	.word	9191
	.word	0
	.word	0
	.word	0
	.word	7816
	.word	39783
	.word	9159
	.word	0
	.word	0
	.word	0
	.word	27656
	.word	55669
	.word	9129
	.word	0
	.word	0
	.word	0
	.word	64944
	.word	53184
	.word	9095
	.word	0
	.word	0
	.word	0
	.word	12544
	.word	49190
	.word	9067
	.word	0
	.word	0
	.word	0
	.word	50612
	.word	44644
	.word	9035
	.word	0
	.word	0
	.word	0
	.word	8832
	.word	63111
	.word	9000
	.word	0
	.word	0
	.word	0
	.word	11744
	.word	36870
	.word	8974
	.word	0
	.word	0
	.word	0
	.word	9404
	.word	63025
	.word	8943
	.word	0
	.word	0
	.word	0
	.word	47316
	.word	43381
	.word	8912
	.word	0
	.word	0
	.word	0
	.word	55716
	.word	47433
	.word	8880
	.word	0
	.word	0
	.word	0
	.word	46414
	.word	48441
	.word	8850
	.word	0
	.word	0
	.word	0
	.word	19116
	.word	39506
	.word	8819
	.word	0
	.word	0
	.word	0
	.word	48060
	.word	53381
	.word	8788
	.word	0
	.word	0
	.word	0
	.word	57112
	.word	50739
	.word	8756
	.word	0
	.word	0
	.word	0
	.word	5840
	.word	60581
	.word	8724
	.word	0
	.word	0
	.word	0
	.word	62112
	.word	57199
	.word	8691
	.word	0
	.word	0
	.word	0
	.word	35908
	.word	59499
	.word	8663
	.word	0
	.word	0
	.word	0
	.word	13760
	.word	48116
	.word	8632
	.word	0
	.word	0
	.word	0
	.word	3136
	.word	56059
	.word	8597
	.word	0
	.word	0
	.word	0
	.word	37596
	.word	39221
	.word	8571
	.word	0
	.word	0
	.word	0
	.word	3232
	.word	48550
	.word	8536
	.word	0
	.word	0
	.word	0
	.word	22872
	.word	42749
	.word	8507
	.word	0
	.word	0
	.word	0
	.word	41948
	.word	40319
	.word	8478
	.word	0
	.word	0
	.word	0
	.word	31196
	.word	64693
	.word	8446
	.word	0
	.word	0
	.word	0
	.word	62052
	.word	52923
	.word	8416
	.word	0
	.word	0
	.word	0
	.word	2750
	.word	33544
	.word	8385
	.word	0
	.word	0
	.word	0
	.word	12462
	.word	46179
	.word	8354
	.word	0
	.word	0
	.word	0
	.word	25128
	.word	45120
	.word	8321
	.word	0
	.word	0
	.word	0
	.word	51634
	.word	62523
	.word	8292
	.word	0
	.word	0
	.word	0
	.word	15758
	.word	42163
	.word	8261
	.word	0
	.word	0
	.word	0
	.word	34022
	.word	36267
	.word	8230
	.word	0
	.word	0
	.word	0
	.word	41252
	.word	39796
	.word	8198
	.word	0
	.word	0
	.word	0
	.word	49782
	.word	54423
	.word	8168
	.word	0
	.word	0
	.word	0
	.word	25428
	.word	42086
	.word	8136
	.word	0
	.word	0
	.word	0
	.word	34388
	.word	44810
	.word	8105
	.word	0
	.word	0
	.word	0
	.word	7456
	.word	64092
	.word	8073
	.word	0
	.word	0
	.word	0
	.word	48336
	.word	62448
	.word	8041
	.word	0
	.word	0
	.word	0
	.word	60912
	.word	61622
	.word	8012
	.word	0
	.word	0
	.word	0
	.word	17852
	.word	37250
	.word	7982
	.word	0
	.word	0
	.word	0
	.word	57940
	.word	56453
	.word	7951
	.word	0
	.word	0
	.word	0
	.word	47256
	.word	59825
	.word	7919
	.word	0
	.word	0
	.word	0
	.word	3774
	.word	59120
	.word	7889
	.word	0
	.word	0
	.word	0
	.word	43448
	.word	62852
	.word	7857
	.word	0
	.word	0
	.word	0
	.word	4840
	.word	57195
	.word	7827
	.word	0
	.word	0
	.word	0
	.word	40862
	.word	52565
	.word	7796
	.word	0
	.word	0
	.word	0
	.word	1440
	.word	60474
	.word	7764
	.word	0
	.word	0
	.word	0
	.word	55520
	.word	38648
	.word	7734
	.word	0
	.word	0
	.word	0
	.word	15316
	.word	52422
	.word	7702
	.word	0
	.word	0
	.word	0
	.word	18704
	.word	47227
	.word	7672
	.word	0
	.word	0
	.word	0
	.word	48892
	.word	54283
	.word	7640
	.word	0
	.word	0
	.word	0
	.word	12670
	.word	41990
	.word	7610
	.word	0
	.word	0
	.word	0
	.word	27570
	.word	49842
	.word	7579
	.word	0
	.word	0
	.word	0
	.word	47230
	.word	47992
	.word	7548
	.word	0
	.word	0
	.word	0
	.word	41020
	.word	56253
	.word	7516
	.word	0
	.word	0
	.word	0
	.word	23404
	.word	58312
	.word	7486
	.word	0
	.word	0
	.word	0
	.word	35176
	.word	51854
	.word	7455
	.word	0
	.word	0
	.word	0
	.word	49188
	.word	59051
	.word	7423
	.word	0
	.word	0
	.word	0
	.word	16656
	.word	54507
	.word	7391
	.word	0
	.word	0
	.word	0
	.word	41320
	.word	48565
	.word	7362
	.word	0
	.word	0
	.word	0
	.word	302
	.word	42490
	.word	7331
	.word	0
	.word	0
	.word	0
	.word	26680
	.word	39967
	.word	7299
	.word	0
	.word	0
	.word	0
	.word	41304
	.word	43638
	.word	7269
	.word	0
	.word	0
	.word	0
	.word	2314
	.word	48533
	.word	7238
	.word	0
	.word	0
	.word	0
	.word	63294
	.word	35693
	.word	7207
	.word	0
	.word	0
	.word	0
	.word	24538
	.word	48319
	.word	7176
	.word	0
	.word	0
	.word	0
	.word	56296
	.word	47263
	.word	7145
	.word	0
	.word	0
	.word	0
	.word	28236
	.word	38599
	.word	7113
	.word	0
	.word	0
	.word	0
	.word	6594
	.word	62116
	.word	7083
	.word	0
	.word	0
	.word	0
	.word	47104
	.word	63573
	.word	7043
	.word	0
	.word	0
	.word	0
	.word	34812
	.word	34303
	.word	7021
	.word	0
	.word	0
	.word	0
	.word	5144
	.word	33695
	.word	6990
	.word	0
	.word	0
	.word	0
	.word	24966
	.word	55768
	.word	6959
	.word	0
	.word	0
	.word	0
	.word	62720
	.word	43946
	.word	6923
	.word	0
	.word	0
	.word	0
	.word	31542
	.word	56062
	.word	6897
	.word	0
	.word	0
	.word	0
	.word	62356
	.word	59096
	.word	6865
	.word	0
	.word	0
	.word	0
	.word	28412
	.word	40533
	.word	6835
	.word	0
	.word	0
	.word	0
	.word	24080
	.word	50467
	.word	6803
	.word	0
	.word	0
	.word	0
	.word	33296
	.word	46841
	.word	6770
	.word	0
	.word	0
	.word	0
	.word	39600
	.word	38627
	.word	6742
	.word	0
	.word	0
	.word	0
	.word	14436
	.word	37607
	.word	6710
	.word	0
	.word	0
	.word	0
	.word	39032
	.word	56421
	.word	6678
	.word	0
	.word	0
	.word	0
	.word	64032
	.word	54987
	.word	6649
	.word	0
	.word	0
	.word	0
	.word	27648
	.word	42212
	.word	6613
	.word	0
	.word	0
	.word	0
	.word	43840
	.word	46107
	.word	6584
	.word	0
	.word	0
	.word	0
	.word	17316
	.word	36574
	.word	6556
	.word	0
	.word	0
	.word	0
	.word	8928
	.word	37652
	.word	6522
	.word	0
	.word	0
	.word	0
	.word	24944
	.word	47433
	.word	6493
	.word	0
	.word	0
	.word	0
	.word	27392
	.word	57430
	.word	6461
	.word	0
	.word	0
	.word	0
	.word	39848
	.word	43340
	.word	6430
	.word	0
	.word	0
	.word	0
	.word	64160
	.word	43542
	.word	6400
	.word	0
	.word	0
	.word	0
	.word	35226
	.word	63015
	.word	6370
	.word	0
	.word	0
	.word	0
	.word	40736
	.word	64368
	.word	6338
	.word	0
	.word	0
	.word	0
	.word	42168
	.word	49526
	.word	6307
	.word	0
	.word	0
	.word	0
	.word	45596
	.word	34243
	.word	6277
	.word	0
	.word	0
	.word	0
	.word	20690
	.word	39705
	.word	6246
	.word	0
	.word	0
	.word	0
	.word	54448
	.word	46856
	.word	6213
	.word	0
	.word	0
	.word	0
	.word	64392
	.word	62736
	.word	6182
	.word	0
	.word	0
	.word	0
	.word	12780
	.word	56461
	.word	6152
	.word	0
	.word	0
	.word	0
	.word	15360
	.word	49145
	.word	6122
	.word	0
	.word	0
	.word	0
	.word	20512
	.word	49931
	.word	6087
	.word	0
	.word	0
	.word	0
	.word	54512
	.word	55820
	.word	6057
	.word	0
	.word	0
	.word	0
	.word	8402
	.word	39333
	.word	6029
	.word	0
	.word	0
	.word	0
	.word	34094
	.word	53593
	.word	5998
	.word	0
	.word	0
	.word	0
	.word	31960
	.word	38817
	.word	5966
	.word	0
	.word	0
	.word	0
	.word	16954
	.word	39291
	.word	5936
	.word	0
	.word	0
	.word	0
	.word	49600
	.word	48765
	.word	5901
	.word	0
	.word	0
	.word	0
	.word	59580
	.word	56541
	.word	5874
	.word	0
	.word	0
	.word	0
	.word	35624
	.word	44550
	.word	5843
	.word	0
	.word	0
	.word	0
	.word	4142
	.word	47316
	.word	5812
	.word	0
	.word	0
	.word	0
	.word	43520
	.word	43612
	.word	5780
	.word	0
	.word	0
	.word	0
	.word	20976
	.word	40896
	.word	5747
	.word	0
	.word	0
	.word	0
	.word	63576
	.word	57729
	.word	5719
	.word	0
	.word	0
	.word	0
	.word	37288
	.word	33122
	.word	5688
	.word	0
	.word	0
	.word	0
	.word	24384
	.word	52079
	.word	5654
	.word	0
	.word	0
	.word	0
	.word	47952
	.word	58719
	.word	5624
	.word	0
	.word	0
	.word	0
	.word	44242
	.word	55445
	.word	5595
	.word	0
	.word	0
	.word	0
	.word	61232
	.word	38847
	.word	5561
	.word	0
	.word	0
	.word	0
	.word	63232
	.word	46039
	.word	5528
	.word	0
	.word	0
	.word	0
	.word	13396
	.word	42933
	.word	5502
	.word	0
	.word	0
	.word	0
	.word	27392
	.word	43305
	.word	5467
	.word	0
	.word	0
	.word	0
	.word	40708
	.word	35319
	.word	5440
	.word	0
	.word	0
	.word	0
	.word	44408
	.word	55685
	.word	5409
	.word	0
	.word	0
	.word	0
	.word	42090
	.word	44607
	.word	5378
	.word	0
	.word	0
	.word	0
	.word	25504
	.word	53466
	.word	5345
	.word	0
	.word	0
	.word	0
	.word	24208
	.word	33149
	.word	5315
	.word	0
	.word	0
	.word	0
	.word	5268
	.word	45375
	.word	5285
	.word	0
	.word	0
	.word	0
	.word	144
	.word	40000
	.word	5254
	.word	0
	.word	0
	.word	0
	.word	56688
	.word	52358
	.word	5221
	.word	0
	.word	0
	.word	0
	.word	25848
	.word	56175
	.word	5190
	.word	0
	.word	0
	.word	0
	.word	57900
	.word	44055
	.word	5160
	.word	0
	.word	0
	.word	0
	.word	24800
	.word	43437
	.word	5128
	.word	0
	.word	0
	.word	0
	.word	17984
	.word	54872
	.word	5094
	.word	0
	.word	0
	.word	0
	.word	25744
	.word	41345
	.word	5068
	.word	0
	.word	0
	.word	0
	.word	7668
	.word	43682
	.word	5036
	.word	0
	.word	0
	.word	0
	.word	47434
	.word	36705
	.word	5006
	.word	0
	.word	0
	.word	0
	.word	20888
	.word	40323
	.word	4974
	.word	0
	.word	0
	.word	0
	.word	3962
	.word	43032
	.word	4944
	.word	0
	.word	0
	.word	0
	.word	50270
	.word	49260
	.word	4913
	.word	0
	.word	0
	.word	0
	.word	20160
	.word	64041
	.word	4877
	.word	0
	.word	0
	.word	0
	.word	25624
	.word	36013
	.word	4849
	.word	0
	.word	0
	.word	0
	.word	48328
	.word	59345
	.word	4820
	.word	0
	.word	0
	.word	0
	.word	51508
	.word	63920
	.word	4788
	.word	0
	.word	0
	.word	0
	.word	27872
	.word	39135
	.word	4758
	.word	0
	.word	0
	.word	0
	.word	13590
	.word	58857
	.word	4727
	.word	0
	.word	0
	.word	0
	.word	50880
	.word	61323
	.word	4692
	.word	0
	.word	0
	.word	0
	.word	44802
	.word	37181
	.word	4665
	.word	0
	.word	0
	.word	0
	.word	53808
	.word	57813
	.word	4634
	.word	0
	.word	0
	.word	0
	.word	64424
	.word	49714
	.word	4602
	.word	0
	.word	0
	.word	0
	.word	31652
	.word	44011
	.word	4572
	.word	0
	.word	0
	.word	0
	.word	28252
	.word	50834
	.word	4541
	.word	0
	.word	0
	.word	0
	.word	30370
	.word	38742
	.word	4510
	.word	0
	.word	0
	.word	0
	.word	57728
	.word	58403
	.word	4473
	.word	0
	.word	0
	.word	0
	.word	35900
	.word	37112
	.word	4448
	.word	0
	.word	0
	.word	0
	.word	40764
	.word	40914
	.word	4417
	.word	0
	.word	0
	.word	0
	.word	21472
	.word	46910
	.word	4386
	.word	0
	.word	0
	.word	0
	.word	17854
	.word	35030
	.word	4355
	.word	0
	.word	0
	.word	0
	.word	4378
	.word	35776
	.word	4324
	.word	0
	.word	0
	.word	0
	.word	57962
	.word	55295
	.word	4293
	.word	0
	.word	0
	.word	0
	.word	64352
	.word	56717
	.word	4260
	.word	0
	.word	0
	.word	0
	.word	37744
	.word	49416
	.word	4229
	.word	0
	.word	0
	.word	0
	.word	38484
	.word	35759
	.word	4200
	.word	0
	.word	0
	.word	0
	.word	55020
	.word	54969
	.word	4169
	.word	0
	.word	0
	.word	0
	.word	9188
	.word	55223
	.word	4137
	.word	0
	.word	0
	.word	0
	.word	6822
	.word	43079
	.word	4107
	.word	0
	.word	0
	.word	0
	.word	48870
	.word	40943
	.word	4076
	.word	0
	.word	0
	.word	0
	.word	9936
	.word	42731
	.word	4043
	.word	0
	.word	0
	.word	0
	.word	23430
	.word	43136
	.word	4014
	.word	0
	.word	0
	.word	0
	.word	4700
	.word	55665
	.word	3982
	.word	0
	.word	0
	.word	0
	.word	8056
	.word	40216
	.word	3951
	.word	0
	.word	0
	.word	0
	.word	3716
	.word	45403
	.word	3920
	.word	0
	.word	0
	.word	0
	.word	53440
	.word	49488
	.word	3889
	.word	0
	.word	0
	.word	0
	.word	41776
	.word	50188
	.word	3858
	.word	0
	.word	0
	.word	0
	.word	20994
	.word	64556
	.word	3828
	.word	0
	.word	0
	.word	0
	.word	16252
	.word	60661
	.word	3796
	.word	0
	.word	0
	.word	0
	.word	61252
	.word	65021
	.word	3765
	.word	0
	.word	0
	.word	0
	.word	16236
	.word	43803
	.word	3734
	.word	0
	.word	0
	.word	0
	.word	63064
	.word	35308
	.word	3702
	.word	0
	.word	0
	.word	0
	.word	49096
	.word	39848
	.word	3673
	.word	0
	.word	0
	.word	0
	.word	15680
	.word	48673
	.word	3642
	.word	0
	.word	0
	.word	0
	.word	48068
	.word	50957
	.word	3611
	.word	0
	.word	0
	.word	0
	.word	20824
	.word	56086
	.word	3579
	.word	0
	.word	0
	.word	0
	.word	46504
	.word	43224
	.word	3549
	.word	0
	.word	0
	.word	0
	.word	52428
	.word	46094
	.word	3517
	.word	0
	.word	0
	.word	0
	.word	17548
	.word	52066
	.word	3487
	.word	0
	.word	0
	.word	0
	.word	61738
	.word	35565
	.word	3456
	.word	0
	.word	0
	.word	0
	.word	31184
	.word	50588
	.word	3424
	.word	0
	.word	0
	.word	0
	.word	1716
	.word	52681
	.word	3394
	.word	0
	.word	0
	.word	0
	.word	44656
	.word	43385
	.word	3363
	.word	0
	.word	0
	.word	0
	.word	12668
	.word	43259
	.word	3331
	.word	0
	.word	0
	.word	0
	.word	24544
	.word	35408
	.word	3298
	.word	0
	.word	0
	.word	0
	.word	28854
	.word	65018
	.word	3270
	.word	0
	.word	0
	.word	0
	.word	5696
	.word	40391
	.word	3238
	.word	0
	.word	0
	.word	0
	.word	39580
	.word	56400
	.word	3208
	.word	0
	.word	0
	.word	0
	.word	20428
	.word	39579
	.word	3177
	.word	0
	.word	0
	.word	0
	.word	32328
	.word	36727
	.word	3146
	.word	0
	.word	0
	.word	0
	.word	34020
	.word	54457
	.word	3115
	.word	0
	.word	0
	.word	0
	.word	34016
	.word	48400
	.word	3083
	.word	0
	.word	0
	.word	0
	.word	6922
	.word	51417
	.word	3053
	.word	0
	.word	0
	.word	0
	.word	27208
	.word	64641
	.word	3021
	.word	0
	.word	0
	.word	0
	.word	1802
	.word	48886
	.word	2991
	.word	0
	.word	0
	.word	0
	.word	35440
	.word	61590
	.word	2960
	.word	0
	.word	0
	.word	0
	.word	60610
	.word	51604
	.word	2929
	.word	0
	.word	0
	.word	0
	.word	5440
	.word	38199
	.word	2895
	.word	0
	.word	0
	.word	0
	.word	6914
	.word	43867
	.word	2867
	.word	0
	.word	0
	.word	0
	.word	24000
	.word	45256
	.word	2834
	.word	0
	.word	0
	.word	0
	.word	51496
	.word	57396
	.word	2804
	.word	0
	.word	0
	.word	0
	.word	11538
	.word	46256
	.word	2774
	.word	0
	.word	0
	.word	0
	.word	36802
	.word	48020
	.word	2743
	.word	0
	.word	0
	.word	0
	.word	57910
	.word	57903
	.word	2712
	.word	0
	.word	0
	.word	0
	.word	47484
	.word	48798
	.word	2680
	.word	0
	.word	0
	.word	0
	.word	57766
	.word	57709
	.word	2650
	.word	0
	.word	0
	.word	0
	.word	54064
	.word	47856
	.word	2619
	.word	0
	.word	0
	.word	0
	.word	49340
	.word	48080
	.word	2588
	.word	0
	.word	0
	.word	0
	.word	36454
	.word	56731
	.word	2557
	.word	0
	.word	0
	.word	0
	.word	51548
	.word	63385
	.word	2526
	.word	0
	.word	0
	.word	0
	.word	56000
	.word	48716
	.word	2490
	.word	0
	.word	0
	.word	0
	.word	44992
	.word	50040
	.word	2460
	.word	0
	.word	0
	.word	0
	.word	43136
	.word	58177
	.word	2430
	.word	0
	.word	0
	.word	0
	.word	49730
	.word	33270
	.word	2402
	.word	0
	.word	0
	.word	0
	.word	29808
	.word	51063
	.word	2371
	.word	0
	.word	0
	.word	0
	.word	25276
	.word	46724
	.word	2339
	.word	0
	.word	0
	.word	0
	.word	17324
	.word	35928
	.word	2308
	.word	0
	.word	0
	.word	0
	.word	52284
	.word	63916
	.word	2278
	.word	0
	.word	0
	.word	0
	.word	5414
	.word	46704
	.word	2247
	.word	0
	.word	0
	.word	0
	.word	51710
	.word	57168
	.word	2216
	.word	0
	.word	0
	.word	0
	.word	27366
	.word	49253
	.word	2185
	.word	0
	.word	0
	.word	0
	.word	45332
	.word	53033
	.word	2154
	.word	0
	.word	0
	.word	0
	.word	54152
	.word	37418
	.word	2121
	.word	0
	.word	0
	.word	0
	.word	53076
	.word	47398
	.word	2092
	.word	0
	.word	0
	.word	0
	.word	14374
	.word	59477
	.word	2061
	.word	0
	.word	0
	.word	0
	.word	59336
	.word	33435
	.word	2029
	.word	0
	.word	0
	.word	0
	.word	21612
	.word	43267
	.word	1999
	.word	0
	.word	0
	.word	0
	.word	34664
	.word	39372
	.word	1966
	.word	0
	.word	0
	.word	0
	.word	172
	.word	62761
	.word	1936
	.word	0
	.word	0
	.word	0
	.word	9816
	.word	40715
	.word	1905
	.word	0
	.word	0
	.word	0
	.word	65116
	.word	40481
	.word	1875
	.word	0
	.word	0
	.word	0
	.word	28066
	.word	39184
	.word	1844
	.word	0
	.word	0
	.word	0
	.word	37408
	.word	63923
	.word	1813
	.word	0
	.word	0
	.word	0
	.word	15760
	.word	42305
	.word	1782
	.word	0
	.word	0
	.word	0
	.word	28236
	.word	59340
	.word	1750
	.word	0
	.word	0
	.word	0
	.word	43258
	.word	59402
	.word	1720
	.word	0
	.word	0
	.word	0
	.word	19988
	.word	50087
	.word	1689
	.word	0
	.word	0
	.word	0
	.word	63456
	.word	47833
	.word	1655
	.word	0
	.word	0
	.word	0
	.word	65184
	.word	61426
	.word	1626
	.word	0
	.word	0
	.word	0
	.word	52982
	.word	48456
	.word	1596
	.word	0
	.word	0
	.word	0
	.word	30020
	.word	62809
	.word	1564
	.word	0
	.word	0
	.word	0
	.word	9096
	.word	63061
	.word	1533
	.word	0
	.word	0
	.word	0
	.word	59648
	.word	44374
	.word	1499
	.word	0
	.word	0
	.word	0
	.word	11456
	.word	33847
	.word	1470
	.word	0
	.word	0
	.word	0
	.word	12392
	.word	50500
	.word	1440
	.word	0
	.word	0
	.word	0
	.word	56432
	.word	59196
	.word	1408
	.word	0
	.word	0
	.word	0
	.word	61008
	.word	40265
	.word	1377
	.word	0
	.word	0
	.word	0
	.word	37842
	.word	33270
	.word	1348
	.word	0
	.word	0
	.word	0
	.word	37916
	.word	44543
	.word	1316
	.word	0
	.word	0
	.word	0
	.word	11490
	.word	36421
	.word	1286
	.word	0
	.word	0
	.word	0
	.word	19040
	.word	38397
	.word	1254
	.word	0
	.word	0
	.word	0
	.word	31224
	.word	47162
	.word	1224
	.word	0
	.word	0
	.word	0
	.word	52056
	.word	41461
	.word	1192
	.word	0
	.word	0
	.word	0
	.word	10810
	.word	56374
	.word	1162
	.word	0
	.word	0
	.word	0
	.word	5358
	.word	35086
	.word	1131
	.word	0
	.word	0
	.word	0
	.word	36640
	.word	50226
	.word	1096
	.word	0
	.word	0
	.word	0
	.word	33856
	.word	45597
	.word	1067
	.word	0
	.word	0
	.word	0
	.word	21552
	.word	63128
	.word	1036
	.word	0
	.word	0
	.word	0
	.word	1198
	.word	35616
	.word	1007
	.word	0
	.word	0
	.word	0
	.word	1232
	.word	59506
	.word	976
	.word	0
	.word	0
	.word	0
	.word	51086
	.word	34963
	.word	945
	.word	0
	.word	0
	.word	0
	.word	3960
	.word	39061
	.word	912
	.word	0
	.word	0
	.word	0
	.word	4564
	.word	57134
	.word	882
	.word	0
	.word	0
	.word	0
	.word	59468
	.word	35285
	.word	852
	.word	0
	.word	0
	.word	0
	.word	63422
	.word	35431
	.word	821
	.word	0
	.word	0
	.word	0
	.word	38352
	.word	51462
	.word	790
	.word	0
	.word	0
	.word	0
	.word	25806
	.word	55660
	.word	759
	.word	0
	.word	0
	.word	0
	.word	38842
	.word	41327
	.word	728
	.word	0
	.word	0
	.word	0
	.word	17980
	.word	50458
	.word	697
	.word	0
	.word	0
	.word	0
	.word	61194
	.word	59710
	.word	666
	.word	0
	.word	0
	.word	0
	.word	21098
	.word	42086
	.word	635
	.word	0
	.word	0
	.word	0
	.word	16704
	.word	43341
	.word	602
	.word	0
	.word	0
	.word	0
	.word	46316
	.word	52840
	.word	573
	.word	0
	.word	0
	.word	0
	.word	20386
	.word	33936
	.word	542
	.word	0
	.word	0
	.word	0
	.word	20064
	.word	51864
	.word	509
	.word	0
	.word	0
	.word	0
	.word	2268
	.word	57500
	.word	479
	.word	0
	.word	0
	.word	0
	.word	11152
	.word	51171
	.word	449
	.word	0
	.word	0
	.word	0
	.word	23164
	.word	63727
	.word	417
	.word	0
	.word	0
	.word	0
	.word	20514
	.word	40280
	.word	387
	.word	0
	.word	0
	.word	0
	.word	21818
	.word	57922
	.word	356
	.word	0
	.word	0
	.word	0
	.word	32366
	.word	46413
	.word	325
	.word	0
	.word	0
	.word	0
	.word	53972
	.word	43148
	.word	294
	.word	0
	.word	0
	.word	0
	.word	30134
	.word	65133
	.word	263
	.word	0
	.word	0
	.word	0
	.word	15282
	.word	61516
	.word	232
	.word	0
	.word	0
	.word	0
	.word	49872
	.word	49222
	.word	200
	.word	0
	.word	0
	.word	0
	.word	9484
	.word	63958
	.word	170
	.word	0
	.word	0
	.word	0
	.word	47028
	.word	35341
	.word	139
	.word	0
	.word	0
	.word	0
	.word	6770
	.word	58613
	.word	108
	.word	0
	.word	0
	.word	0
	.word	33372
	.word	43448
	.word	77
	.word	0
	.word	0
	.word	0
	.word	27792
	.word	51629
	.word	43
	.word	0
	.word	0
	.word	0
	.word	19712
	.word	53691
	.word	15
	.word	0
	.type	_4OPI,@object
	.size	_4OPI,6384
	.align 2
_ADDING:
	.word	0
	.word	0
	.word	0
	.word	32768
	.word	16446
	.word	0
	.type	_ADDING,@object
	.size	_ADDING,12
	.align 2
_nonel_value:
	.word	0
	.word	0
	.word	0
	.word	32768
	.word	49151
	.word	0
	.type	_nonel_value,@object
	.size	_nonel_value,12
	.align 2
_PC:
	.word	23996
	.word	61276
	.word	60076
	.word	54715
	.word	16338
	.word	0
	.word	29541
	.word	45883
	.word	23690
	.word	51658
	.word	49114
	.word	0
	.word	41007
	.word	30189
	.word	50933
	.word	36726
	.word	16354
	.word	0
	.word	11013
	.word	35124
	.word	32187
	.word	37874
	.word	49129
	.word	0
	.word	13032
	.word	3304
	.word	208
	.word	53261
	.word	16367
	.word	0
	.word	45630
	.word	2912
	.word	24758
	.word	46603
	.word	49141
	.word	0
	.word	43690
	.word	43690
	.word	43690
	.word	43690
	.word	16378
	.word	0
	.word	0
	.word	0
	.word	0
	.word	32768
	.word	49150
	.word	0
	.type	_PC,@object
	.size	_PC,96
	.align 2
_ponel_value:
	.word	0
	.word	0
	.word	0
	.word	32768
	.word	16383
	.word	0
	.type	_ponel_value,@object
	.size	_ponel_value,12
	.align 2
_PS:
	.word	25
	.word	22807
	.word	53737
	.word	51452
	.word	16334
	.word	0
	.word	54536
	.word	42444
	.word	58524
	.word	55101
	.word	49110
	.word	0
	.word	63911
	.word	27722
	.word	12213
	.word	45202
	.word	16350
	.word	0
	.word	3718
	.word	18986
	.word	11071
	.word	55090
	.word	49125
	.word	0
	.word	10480
	.word	46680
	.word	7466
	.word	47343
	.word	16364
	.word	0
	.word	12958
	.word	3329
	.word	208
	.word	53261
	.word	49138
	.word	0
	.word	35030
	.word	34952
	.word	34952
	.word	34952
	.word	16376
	.word	0
	.word	43691
	.word	43690
	.word	43690
	.word	43690
	.word	49148
	.word	0
	.type	_PS,@object
	.size	_PS,96
	.data
	.section .note.GNU-stack, ""
# End
