/*
 * Copyright (C) 2011-2017 Intel Corporation. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *   * Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *   * Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in
 *     the documentation and/or other materials provided with the
 *     distribution.
 *   * Neither the name of Intel Corporation nor the names of its
 *     contributors may be used to endorse or promote products derived
 *     from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */

#ifndef _IVK_CA_ROOT_DER_HH_
#define _IVK_CA_ROOT_DER_HH_
/*caRootDER for production IVK*/
static const uint8_t caRootDER [] =
{
    /*0000h*/ 0x30, 0x82, 0x02, 0x3c, 0x30, 0x82, 0x01, 0xe1, 0xa0, 0x03, 0x02, 0x01, 0x02, 0x02, 0x14, 0x47,
    /*0010h*/ 0x50, 0xaf, 0x34, 0x9b, 0xc3, 0x28, 0x77, 0xa6, 0x87, 0xbf, 0x72, 0x10, 0x8a, 0xe1, 0xe3, 0xe7,
    /*0020h*/ 0x97, 0x63, 0x99, 0x30, 0x0a, 0x06, 0x08, 0x2a, 0x86, 0x48, 0xce, 0x3d, 0x04, 0x03, 0x02, 0x30,
    /*0030h*/ 0x81, 0x8a, 0x31, 0x16, 0x30, 0x14, 0x06, 0x03, 0x55, 0x04, 0x03, 0x0c, 0x0d, 0x77, 0x77, 0x77,
    /*0040h*/ 0x2e, 0x69, 0x6e, 0x74, 0x65, 0x6c, 0x2e, 0x63, 0x6f, 0x6d, 0x31, 0x24, 0x30, 0x22, 0x06, 0x03,
    /*0050h*/ 0x55, 0x04, 0x0b, 0x0c, 0x1b, 0x45, 0x50, 0x49, 0x44, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x53, 0x49,
    /*0060h*/ 0x47, 0x4d, 0x41, 0x20, 0x72, 0x6f, 0x6f, 0x74, 0x20, 0x73, 0x69, 0x67, 0x6e, 0x69, 0x6e, 0x67,
    /*0070h*/ 0x31, 0x1a, 0x30, 0x18, 0x06, 0x03, 0x55, 0x04, 0x0a, 0x0c, 0x11, 0x49, 0x6e, 0x74, 0x65, 0x6c,
    /*0080h*/ 0x20, 0x43, 0x6f, 0x72, 0x70, 0x6f, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x31, 0x14, 0x30, 0x12,
    /*0090h*/ 0x06, 0x03, 0x55, 0x04, 0x07, 0x0c, 0x0b, 0x53, 0x61, 0x6e, 0x74, 0x61, 0x20, 0x43, 0x6c, 0x61,
    /*00a0h*/ 0x72, 0x61, 0x31, 0x0b, 0x30, 0x09, 0x06, 0x03, 0x55, 0x04, 0x08, 0x0c, 0x02, 0x43, 0x41, 0x31,
    /*00b0h*/ 0x0b, 0x30, 0x09, 0x06, 0x03, 0x55, 0x04, 0x06, 0x0c, 0x02, 0x55, 0x53, 0x30, 0x1e, 0x17, 0x0d,
    /*00c0h*/ 0x31, 0x31, 0x31, 0x30, 0x32, 0x31, 0x30, 0x30, 0x30, 0x30, 0x30, 0x30, 0x5a, 0x17, 0x0d, 0x34,
    /*00d0h*/ 0x39, 0x31, 0x32, 0x33, 0x31, 0x32, 0x33, 0x35, 0x39, 0x35, 0x39, 0x5a, 0x30, 0x81, 0x8a, 0x31,
    /*00e0h*/ 0x16, 0x30, 0x14, 0x06, 0x03, 0x55, 0x04, 0x03, 0x0c, 0x0d, 0x77, 0x77, 0x77, 0x2e, 0x69, 0x6e,
    /*00f0h*/ 0x74, 0x65, 0x6c, 0x2e, 0x63, 0x6f, 0x6d, 0x31, 0x24, 0x30, 0x22, 0x06, 0x03, 0x55, 0x04, 0x0b,
    /*0100h*/ 0x0c, 0x1b, 0x45, 0x50, 0x49, 0x44, 0x20, 0x61, 0x6e, 0x64, 0x20, 0x53, 0x49, 0x47, 0x4d, 0x41,
    /*0110h*/ 0x20, 0x72, 0x6f, 0x6f, 0x74, 0x20, 0x73, 0x69, 0x67, 0x6e, 0x69, 0x6e, 0x67, 0x31, 0x1a, 0x30,
    /*0120h*/ 0x18, 0x06, 0x03, 0x55, 0x04, 0x0a, 0x0c, 0x11, 0x49, 0x6e, 0x74, 0x65, 0x6c, 0x20, 0x43, 0x6f,
    /*0130h*/ 0x72, 0x70, 0x6f, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x31, 0x14, 0x30, 0x12, 0x06, 0x03, 0x55,
    /*0140h*/ 0x04, 0x07, 0x0c, 0x0b, 0x53, 0x61, 0x6e, 0x74, 0x61, 0x20, 0x43, 0x6c, 0x61, 0x72, 0x61, 0x31,
    /*0150h*/ 0x0b, 0x30, 0x09, 0x06, 0x03, 0x55, 0x04, 0x08, 0x0c, 0x02, 0x43, 0x41, 0x31, 0x0b, 0x30, 0x09,
    /*0160h*/ 0x06, 0x03, 0x55, 0x04, 0x06, 0x0c, 0x02, 0x55, 0x53, 0x30, 0x59, 0x30, 0x13, 0x06, 0x07, 0x2a,
    /*0170h*/ 0x86, 0x48, 0xce, 0x3d, 0x02, 0x01, 0x06, 0x08, 0x2a, 0x86, 0x48, 0xce, 0x3d, 0x03, 0x01, 0x07,
    /*0180h*/ 0x03, 0x42, 0x00, 0x04, 0x7b, 0xe2, 0xc7, 0xc7, 0xe6, 0xc4, 0xb4, 0x3c, 0x02, 0x8b, 0x67, 0xcc,
    /*0190h*/ 0xd0, 0x1e, 0x80, 0xc2, 0x35, 0x2d, 0x1a, 0x4e, 0x4a, 0x81, 0x6e, 0x06, 0x00, 0x4c, 0xb0, 0xa4,
    /*01a0h*/ 0x2e, 0x65, 0xbd, 0x27, 0x52, 0x07, 0x71, 0x62, 0xcb, 0xb9, 0x3c, 0x48, 0x42, 0xb2, 0x2a, 0xc7,
    /*01b0h*/ 0x84, 0xa6, 0xca, 0x12, 0x0f, 0xc7, 0x9f, 0x6c, 0x9f, 0xbd, 0x3f, 0x38, 0xd5, 0xc6, 0x1b, 0x44,
    /*01c0h*/ 0x16, 0x3e, 0xc8, 0xae, 0xa3, 0x23, 0x30, 0x21, 0x30, 0x0f, 0x06, 0x03, 0x55, 0x1d, 0x13, 0x01,
    /*01d0h*/ 0x01, 0xff, 0x04, 0x05, 0x30, 0x03, 0x01, 0x01, 0xff, 0x30, 0x0e, 0x06, 0x03, 0x55, 0x1d, 0x0f,
    /*01e0h*/ 0x01, 0x01, 0xff, 0x04, 0x04, 0x03, 0x02, 0x01, 0x06, 0x30, 0x0a, 0x06, 0x08, 0x2a, 0x86, 0x48,
    /*01f0h*/ 0xce, 0x3d, 0x04, 0x03, 0x02, 0x03, 0x49, 0x00, 0x30, 0x46, 0x02, 0x21, 0x00, 0x99, 0x82, 0xa3,
    /*0200h*/ 0xce, 0x2a, 0x3f, 0xfb, 0xf4, 0xbf, 0x9e, 0xf1, 0x65, 0x61, 0x1e, 0x2b, 0x16, 0x9b, 0xeb, 0x05,
    /*0210h*/ 0x49, 0x52, 0xe8, 0x2a, 0xae, 0x1c, 0x1c, 0x04, 0x15, 0x34, 0x66, 0xd4, 0x73, 0x02, 0x21, 0x00,
    /*0220h*/ 0x96, 0xbe, 0xd0, 0xe2, 0x91, 0xb3, 0x9f, 0x06, 0x07, 0xeb, 0x10, 0x9f, 0x84, 0x0e, 0x12, 0x67,
    /*0230h*/ 0xa1, 0x3d, 0xad, 0x22, 0x32, 0xb9, 0xb1, 0x40, 0x1f, 0x03, 0x87, 0x4d, 0x52, 0xd9, 0x9a, 0x9a
};
#endif
